summaryrefslogtreecommitdiff
path: root/scripts/lfub
diff options
context:
space:
mode:
authormarcellus <msimon_fr@hotmail.com>2023-09-14 22:26:17 +0200
committermarcellus <msimon_fr@hotmail.com>2023-09-14 22:26:17 +0200
commit0e2d387565cb03c41cef33b9ff01eac5a5cb9132 (patch)
tree1bcc8bdf06022ae90874d575040df4cbece28313 /scripts/lfub
parentc3b97dfe6a6a39974f60411761b8ceba48e1876b (diff)
update: general changes, read the diff
Diffstat (limited to 'scripts/lfub')
-rwxr-xr-xscripts/lfub23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/lfub b/scripts/lfub
new file mode 100755
index 0000000..0d8b7fe
--- /dev/null
+++ b/scripts/lfub
@@ -0,0 +1,23 @@
+#!/bin/sh
+# This is a wrapper script for lf that allows it to create image previews with
+# ueberzug. This works in concert with the lf configuration file and the
+# lf-cleaner script.
+
+set -e
+
+cleanup() {
+ exec 3>&-
+ rm "$FIFO_UEBERZUG"
+}
+
+if [ -n "$SSH_CLIENT" ] || [ -n "$SSH_TTY" ]; then
+ lf "$@"
+else
+ [ ! -d "$XDG_CACHE_HOME/lf" ] && mkdir -p "$XDG_CACHE_HOME/lf"
+ export FIFO_UEBERZUG="$XDG_CACHE_HOME/lf/ueberzug-$$"
+ mkfifo "$FIFO_UEBERZUG"
+ ueberzug layer -s <"$FIFO_UEBERZUG" -p json &
+ exec 3>"$FIFO_UEBERZUG"
+ trap cleanup HUP INT QUIT TERM PWR EXIT
+ lf "$@" 3>&-
+fi